View Issue Details

IDProjectCategoryView StatusLast Update
0000764luatexluatex bugpublic2012-12-10 12:13
ReporteroneirosAssigned Tohhenkel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSLinuxOS Version
Product Version0.71.0 
Target VersionFixed in Version0.71.0 
Summary0000764: Inclusion of pdfs in draftmode triggers Assertion `pdf->zip_write_state==NO_ZIP' failed
DescriptionThis mwe

\documentclass{article}
\usepackage{graphicx}
\begin{document}
\includegraphics[width=1cm,keepaspectratio]{sample2e}
\end{document}

fails with

 [1{/opt/tex/priintTeX/trunk/2011/texmf-var/fonts/map/pdftex/updmap/pdftex.map}
lualatex: ../../../source/texk/web2c/luatexdir/pdf/pdfgen.w:706: pdf_end_stream: Assertion `pdf->zip_write_state==NO_ZIP' failed.
Steps To Reproduce1. lualatex sampl2e.tex
2. lualatex --draftmode draftmode.tex
Additional InformationLuaTeX is beta-0.71.0-2012081015
System is OpenSUSE 12.1:
Linux tex-linux 3.1.10-1.16-desktop 0000001 SMP PREEMPT Wed Jun 27 05:21:40 UTC 2012 (d016078) x86_64 x86_64 x86_64 GNU/Linux
Tagsdraftmode, pdf-inclusion

Activities

oneiros

2012-08-13 21:10

developer   ~0000950

Fixed in r4465

Issue History

Date Modified Username Field Change
2012-08-09 17:00 oneiros New Issue
2012-08-09 17:00 oneiros Status new => assigned
2012-08-09 17:00 oneiros Assigned To => hhenkel
2012-08-10 15:20 oneiros Summary draftmode fails with Assertion `pdf->zip_write_state==NO_ZIP' failed => Inclusion of pdfs in draftmode triggers Assertion `pdf->zip_write_state==NO_ZIP' failed
2012-08-10 15:20 oneiros Description Updated View Revisions
2012-08-10 15:20 oneiros Steps to Reproduce Updated View Revisions
2012-08-10 15:20 oneiros Additional Information Updated View Revisions
2012-08-10 15:22 oneiros Steps to Reproduce Updated View Revisions
2012-08-10 15:24 oneiros Tag Attached: draftmode
2012-08-10 15:24 oneiros Tag Attached: pdf
2012-08-10 15:24 oneiros Tag Detached: pdf
2012-08-10 15:25 oneiros Tag Attached: pdf-inclusion
2012-08-13 21:10 oneiros Note Added: 0000950
2012-08-13 21:10 oneiros Status assigned => resolved
2012-08-13 21:10 oneiros Fixed in Version => 0.71.0
2012-08-13 21:10 oneiros Resolution open => fixed
2012-12-10 12:13 Taco Status resolved => closed